// SetTimeAndDate.cpp : implementation file
//

#include "stdafx.h"
#include "MCR Monitor.h"
#include "SetTimeAndDate.h"
#include "afxdialogex.h"


// CSetTimeAndDate dialog

IMPLEMENT_DYNAMIC(CSetTimeAndDate, CDialogEx)

CSetTimeAndDate::CSetTimeAndDate(CWnd* pParent /*=NULL*/)
	: CDialogEx(CSetTimeAndDate::IDD, pParent)
{

}

CSetTimeAndDate::~CSetTimeAndDate()
{
}

void CSetTimeAndDate::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BHOUR, cSetHour);
	DDX_Control(pDX, IDC_BMINUTE, cSetMinute);
	DDX_Control(pDX, IDC_BSECOND, cSetSecond);
	DDX_Control(pDX, IDC_BMONTH, cSetMonth);
	DDX_Control(pDX, IDC_BDAY_OF_MONTH, cSetDayOfMonth);
	DDX_Control(pDX, IDC_BYEAR, cSetYear);
}


BEGIN_MESSAGE_MAP(CSetTimeAndDate, CDialogEx)
	ON_BN_CLICKED(IDOK, &CSetTimeAndDate::OnBnClickedOk)
END_MESSAGE_MAP()


// CSetTimeAndDate message handlers

BOOL CSetTimeAndDate::OnInitDialog() 
{
	SYSTEMTIME	sysTime;
	char tmp[1024];

	GetSystemTime(&sysTime);

	CDialog::OnInitDialog();

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wHour);
	cSetHour.SetWindowTextA(tmp);

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wMinute);
	cSetMinute.SetWindowTextA(tmp);

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wSecond);
	cSetSecond.SetWindowTextA(tmp);

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wMonth);
	cSetMonth.SetWindowTextA(tmp);

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wDay);
	cSetDayOfMonth.SetWindowTextA(tmp);

	sprintf_s(tmp, sizeof(tmp), "%d", sysTime.wYear);
	cSetYear.SetWindowTextA(tmp);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CSetTimeAndDate::OnBnClickedOk()
{
	char temp[128];

	//  dismissed with OK
	cSetHour.GetWindowText(temp, sizeof(temp)-1);
	iHour         = atoi(temp);
	cSetMinute.GetWindowText(temp, sizeof(temp)-1);
	iMinute       = atoi(temp);
	cSetSecond.GetWindowText(temp, sizeof(temp)-1);
	iSecond       = atoi(temp);

	cSetMonth.GetWindowText(temp, sizeof(temp)-1);
	iMonth        = atoi(temp);
	cSetDayOfMonth.GetWindowText(temp, sizeof(temp)-1);
	iDayOfMonth   = atoi(temp);
	cSetYear.GetWindowText(temp, sizeof(temp)-1);
	iYear         = atoi(temp);

	// TODO: Add your control notification handler code here
	CDialogEx::OnOK();
}
